vpTracePixel(3)

NAME
vpTracePixel - print a trace of the voxels composited into a pixel

SYNOPSIS
#include <volpack.h>

vpTracePixel(vpc, trace_u, trace_v) vpContext *vpc; int trace_u, trace_v;

ARGUMENTS

vpc VolPack context from vpCreateContext.

trace_u, trace_v
    Intermediate image coordinates of the pixel to trace.

DESCRIPTION
This routine is for debugging the rendering algorithms. If (trace_u, trace_v) is a valid set of coordinates in the intermediate image then a printout appears during rendering showing a trace of all of the voxels that contribute to the pixel. The intermediate image is not the same as the final image; see vpGetvpSetImage(3).

The VolPack library must be compiled with the -DDEBUG compiler option for this function to have any effect.

SEE ALSO
VolPack(3)